    The XSPEC kdblur convolution model: convolve with the laor model

xskdblur
The xskdblur model is a convolution model component.

The model is described at [1] .

>>> create_model_component("xskdblur", "mdl")
>>> print(mdl)

Create a component of the xskdblur model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.Index frozen 3 -10 10 mdl.Rin_G frozen 4.5 1.235 400 mdl.Rout_G frozen 100 1.235 400 mdl.Incl thawed 30 0 90 deg

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
Index
The power law dependence of emissivity (scales as R^-Index).
Rin_G
The inner radius, in units of GM/c^2.
Rout_G
The outer radius, in units of GM/c^2.
Incl
The disk inclination angle, in degrees. A face-on disk has Incl=0.

Notes

Unlike XSPEC, the convolution model is applied directly to the model, or models, rather than using the multiplication symbol.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelKdblur.html

Changes in CIAO

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023